Subject: Re: [PATCH net-next v3 00/13]: Move Siena into a separate subdirectory

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 May 2022 09:28:53 -0700

On Thu, 5 May 2022 14:00:24 +0100 Martin Habets wrote:
> > Still funky:
> > 
> > $ git pw series apply 638179
> > Applying: sfc: Disable Siena support
> > Using index info to reconstruct a base tree...
> > M	drivers/net/ethernet/sfc/Kconfig
> > M	drivers/net/ethernet/sfc/Makefile
> > M	drivers/net/ethernet/sfc/efx.c
> > M	drivers/net/ethernet/sfc/nic.h
> > Falling back to patching base and 3-way merge...
> > No changes -- Patch already applied.  
> 
> git is right, this got applied by Dave with commit
> https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/commit/?id=0c38a5bd60eb
> 
> > Applying: sfc: Move Siena specific files
> > Applying: sfc: Copy shared files needed for Siena (part 1)
> > Applying: sfc: Copy shared files needed for Siena (part 2)
> > Applying: sfc: Copy a subset of mcdi_pcol.h to siena
> > Using index info to reconstruct a base tree...
> > Falling back to patching base and 3-way merge...
> > No changes -- Patch already applied.  
> 
> git is right, this got applied by Dave with commit
> https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/commit/?id=6b73f20ab6c401a1a7860f02734ab11bf748e69b
> 
> > Applying: sfc/siena: Remove build references to missing functionality
> > Applying: sfc/siena: Rename functions in efx headers to avoid conflicts with sfc
> > Applying: sfc/siena: Rename RX/TX functions to avoid conflicts with sfc
> > Applying: sfc/siena: Rename peripheral functions to avoid conflicts with sfc
> > Applying: sfc/siena: Rename functions in mcdi headers to avoid conflicts with sfc
> > Applying: sfc/siena: Rename functions in nic_common.h to avoid conflicts with sfc
> > Applying: sfc/siena: Inline functions in sriov.h to avoid conflicts with sfc
> > Applying: sfc: Add a basic Siena module  
> 
> The other patches I don't see upstream.
> There is also merge commit
> https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/commit/?id=39e85fe01127cfb1b4b59a08e5d81fed45ee5633
> but that only covers the ones that got applied.
> 
> So my summary is that patch 1 and 5 are in, but the others are not.
> Pretty confusing stuff. I wonder if the --find-copies-harder option is too
> clever.
> 
> From what I can see net-next is not broken, other than Siena NICs being
> disabled. Your git pw series apply seems correct.

Oh. Well. That I did not suspect. I ignored the confused pw-bot replies.

Would you prefer me to revert what's in the tree or send incremental
patches?

Either way I'd prefer if you posted once more, if that's okay, so that
the pw build bot can take a swing at the series. Looks like the patches
were merged before the build bot got to them this time.